Dashboard API

Dashboard endpoints require account authentication and enforce project membership.

Logs and analytics

MethodPathPurpose
GET/api/projects/{projectId}/logsPaginated hot log stream
GET/api/logs/{logId}One log entry
GET/api/projects/{projectId}/analytics/volumeVolume over time
GET/api/projects/{projectId}/analytics/levelsSeverity totals
GET/api/projects/{projectId}/analytics/facetsFilter facets
GET/api/projects/{projectId}/archive/searchBounded Pro archive search
GET/api/projects/{projectId}/archive/statusArchive ledger summary

Project routes support listing, creation, key rotation, archive state, deletion, members, invitations, alert channels, and repository connection. GET /health and GET /api/health expose service health.

The current implementation in routes/ is the authority for fields and status codes.